package com.muyu.product.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.common.core.annotation.Excel;
import com.muyu.common.core.web.domain.BaseEntity;
import com.muyu.common.security.utils.SecurityUtils;
import com.muyu.product.domain.req.AttributeGroupReq;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;
import java.util.stream.Collectors;

/**
 * @ClassName AsAttributeAttributeGroup
 * @Description 描述
 * @Author ZHIHAO.DAI
 * @Date 2024/3/1 13:01
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@TableName("as_attribute_attribute_group")
public class AsAttributeAttributeGroup extends BaseEntity {
    private static final long serialVersionUID = 1L;

    @Excel(name = "属性属性组,中间表编号",cellType = Excel.ColumnType.NUMERIC)
    @TableId(type = IdType.AUTO)
    private Integer id;
    @Excel(name = "属性组编号")
    private Integer attributeGroupId;
    @Excel(name = "属性编号")
    private Integer attributeId;
    public static List<AsAttributeAttributeGroup> buildAttributeMiddle(AttributeGroupReq attributeGroupReq){

        return attributeGroupReq.getSelectAttributeList()
                .stream()
                .map(
                        attributeInfo -> {
                            AsAttributeAttributeGroup asAttributeAttributeGroup = new AsAttributeAttributeGroup();
                            asAttributeAttributeGroup.setAttributeId(attributeInfo.getId());
                            asAttributeAttributeGroup.setAttributeGroupId(attributeGroupReq.getAttributeGroupId());
                            asAttributeAttributeGroup.setCreateBy(SecurityUtils.getUsername());
                            asAttributeAttributeGroup.setCreateTime(new Date());
                            return asAttributeAttributeGroup;
                        }
                ).collect(Collectors.toList());
    }

}
