package com.muyu.product.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.common.core.annotation.Excel;
import com.muyu.common.core.web.domain.BaseEntity;
import com.muyu.common.security.utils.SecurityUtils;
import com.muyu.product.domain.req.AttributeGroupReq;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.Date;

/**
 * @ClassName AttributeGroup
 * @Description 描述
 * @Author ZHIHAO.DAI
 * @Date 2024/3/1 12:55
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@TableName("attribute_group")
public class AttributeGroup extends BaseEntity {
    private static final long serialVersionUID = 1L;
    @Excel(name = "属性组主键",cellType = Excel.ColumnType.IMAGE)
    @TableId(type = IdType.AUTO)
    private Integer id;
    @Excel(name = "属性组名称")
    private String name;
    @Excel(name = "是否启用")
    private String states;
    @Excel(name = "备注")
    private String remark;

    public static AttributeGroup BuildAttributeGroupByReq(AttributeGroupReq attributeGroupReq){
        return AttributeGroup.builder()
                .name(attributeGroupReq.getName())
                .remark(attributeGroupReq.getRemark())
                .createBy(SecurityUtils.getUsername())
                .createTime(new Date())
                .build();
    }
}
