package com.muyu.product.domain.resp;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.common.core.annotation.Excel;
import com.muyu.common.core.web.domain.BaseEntity;
import com.muyu.product.domain.AttributeGroup;
import com.muyu.product.domain.AttributeInfo;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.List;
import java.util.function.Function;

/**
 * @ClassName AttributeGroupResp
 * @Description 描述
 * @Author ZHIHAO.DAI
 * @Date 2024/3/4 20:30
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
public class AttributeGroupResp extends BaseEntity {

    private Integer id;
    private String name;
    private String states;
    private String remark;
    private List<AttributeInfo> attributeInfos;

    public static AttributeGroupResp groupFunBuild(AttributeGroup attributeGroup, Function<Integer,List<AttributeInfo>> function){
        return AttributeGroupResp.builder()
                .id(attributeGroup.getId())
                .name(attributeGroup.getName())
                .remark(attributeGroup.getRemark())
                .attributeInfos(function.apply(attributeGroup.getId()))
                .createBy(attributeGroup.getCreateBy())
                .createTime((attributeGroup.getCreateTime()))
                .updateBy(attributeGroup.getUpdateBy())
                .updateTime(attributeGroup.getUpdateTime())
                .build();
    }

}
