package com.muyu.product.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.product.domain.AsAttributeAttributeGroup;
import com.muyu.product.domain.AttributeGroup;
import com.muyu.product.domain.AttributeInfo;
import com.muyu.product.mapper.AsAttributeAttributeGroupMapper;
import com.muyu.product.service.AsAttributeAttributeGroupService;
import com.muyu.product.service.AttributeInfoService;
import io.swagger.models.auth.In;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @ClassName AsAttributeAttributeGroupServiceImpl
 * @Description 描述
 * @Author ZHIHAO.DAI
 * @Date 2024/3/1 13:32
 */
@Service
public class AsAttributeAttributeGroupServiceImpl extends ServiceImpl<AsAttributeAttributeGroupMapper, AsAttributeAttributeGroup>
        implements AsAttributeAttributeGroupService {
    @Autowired
    private AttributeInfoService attributeInfoService;
    @Override
    public List<AttributeInfo> getAttributeGroupRespList(Integer groupId) {
        QueryWrapper<AsAttributeAttributeGroup> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("attribute_group_id",groupId);
        List<AsAttributeAttributeGroup> asAttributeAttributeGroupList = this.list(queryWrapper);
        List<Integer> list = asAttributeAttributeGroupList.stream().map(AsAttributeAttributeGroup::getAttributeId).toList();
        if (list.size()==0){
            return null;
        }
        return attributeInfoService.listByIds(list);
    }
}
